<?php

require 'GTranslate.php';

class GoogleTranslate extends GTranslate
{
    /**
     * URL Formater to use on request
     * @access private
     * @param array $lang_pair
     * @param array $string
     * "returns String $url
     */

    protected function urlFormat($lang_pair,$array_string)
    {
        $parameters = array(
            "key" => $this->api_key,
            "source"=> $lang_pair[0],
            "target"=> $lang_pair[1],
            "format"=> $this->format,
        );

        $first = TRUE;
        $url  = "";

        foreach($parameters as $k=>$p)
        {
            if ( $first == FALSE )
                $url .= "&";
            $url .= $k."=".urlencode($p);
            $first = FALSE;
        }

        foreach($array_string as $p)
        {
            $url .= "&q=".urlencode($p);
        }

        return $url;
    }
}
